package com.zfire.mall.manager.bean.admin;

import com.zfire.mall.manager.plus.entity.AdminUser;
import com.zfire.mall.manager.plus.entity.AdminUserBindEngin;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class AdminUserBean extends AdminUser {

    @ApiModelProperty("工程机地址")
    private String enginSysUrl;
    @ApiModelProperty("token")
    private String token;
    @ApiModelProperty("部门id集合")
    private List<String> adminWebsitIds;
    @ApiModelProperty("经销商存货分类")
    public List<String> mainNames;
    @ApiModelProperty("是否折让")
    private Boolean isZr;

    @ApiModelProperty("绑定仓库")
    private String[] stockCorrespondList;

    @ApiModelProperty("已绑定工程账号")
    private List<AdminUserBindEngin> bindEnginList;

}
