package com.zfire.mall.manager.bean.admin.reqDto;

import com.zfire.mall.manager.plus.entity.AdminUser;
import com.zfire.mall.manager.plus.entity.AdminUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value="AdminUserAddBean对象", description="新增用户对象")
public class AdminUserAddReqBean extends AdminUser {

    @ApiModelProperty("部门id集合")
    private List<String> adminWebsitIds;
    @ApiModelProperty("父经销商id")
    private String parentCustomerId;
    @ApiModelProperty("是否折让 true/false")
    private Boolean isZr;

    @ApiModelProperty("绑定对应仓库id")
    private List<String> correspondIds;
}
