package com.zfire.mall.manager.schedule;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUnit;
import cn.hutool.core.date.DateUtil;
import cn.hutool.http.HttpUtil;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.zfire.mall.manager.bean.front.CallBackItemDTO;
import com.zfire.mall.manager.bean.front.CallBackItemList;
import com.zfire.mall.manager.bean.front.CostTicketVO;
import com.zfire.mall.manager.commonmapper.CustomerFrontOrderMapper;
import com.zfire.mall.manager.constant.Constant;
import com.zfire.mall.manager.enums.ExamineStatusEnum;
import com.zfire.mall.manager.enums.OrderTypeEnum;
import com.zfire.mall.manager.exception.RemoteServiceException;
import com.zfire.mall.manager.plus.entity.*;
import com.zfire.mall.manager.plus.service.*;
import com.zfire.mall.manager.utils.JiaXianUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.integration.redis.util.RedisLockRegistry;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.*;
import java.util.stream.Collectors;


/**
 * 更新库存
 *
 * @author change
 */
@Component
@Slf4j
public class StockCostSyncSchedule {


    //请求生成仓储费用
    @Value("${supply.stock.full.cost}")
    private String fullCostUrl;



    @Scheduled(cron =  "0 0 3 * * ?")
    public void CHUFA() {
        HttpUtil.get(fullCostUrl);
    }


}
