package com.zfire.mall.manager.schedule;

import com.zfire.mall.manager.commonmapper.wallet.WalletCommonMapper;
import com.zfire.mall.manager.logic.k3.K3WalletLogic;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;



@Component
@Slf4j
public class WalletAmountSchedule {

    @Autowired
    K3WalletLogic k3WalletLogic;
    @Autowired
    WalletCommonMapper walletCommonMapper;


    /**
     * 每天0点重载信用额度
     * @throws Exception
     */
    @Scheduled(cron = "0 0 0 * * ? ")
    public void task2() throws Exception {
        walletCommonMapper.reloadCustomerWalletCert(null);
    }

}
