package com.zfire.mall.manager.bean.admin;

import com.zfire.mall.manager.plus.entity.AdminUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AdminUserCom extends AdminUser {


    @ApiModelProperty("拥有的部门权限id")
    private List<String> adminWebsitIds;
    @ApiModelProperty("有用的企业权限ids")
    private List<String> adminCompanyIds;
    @ApiModelProperty("只读帐号")
    private Boolean onlyRead = false;

    @ApiModelProperty("用户所属部门")
    private String adminWebsitId;
    @ApiModelProperty("用户所属部门名称")
    private String adminWebsitName;
    @ApiModelProperty("当前登录人企业微信id")
    private String loginCompanyId;
    @ApiModelProperty("当前登录人企业名称")
    private String loginCompanyName;
    @ApiModelProperty("金蝶企业编号")
    private String useOrgNumber;
    @ApiModelProperty("金蝶企业名称")
    private String useOrgName;
    @ApiModelProperty("金蝶企业编号")
    private List<String> useOrgNumbers;

    @ApiModelProperty("是否为财务")
    private Boolean isCw;

//    @ApiModelProperty("工程用户id")
//    private List<Integer> enginUserIds;
//    @ApiModelProperty("已绑定工程账号")
//    private List<AdminUserBindEngin> bindEnginList;
    @ApiModelProperty("所有子级的业务员")
    private List<String> serviceIds;
}
